<!DOCTYPE html>
<html>
  <head>
    <title>WebSocket demo</title>
  </head>
  <body>
    <button onclick="sendData('RUN_OIL_STOCKS_AL')">Start oil al</button>
    <button onclick="sendData('STOP_OIL_STOCKS_AL')">Stop oil al</button>

    <script>
      var ws = new WebSocket("ws://localhost:5678/");
      var messages = document.createElement("ul");
      ws.onmessage = function(event) {
        var messages = document.getElementsByTagName("ul")[0];
        var message = document.createElement("li");
        var content = document.createTextNode(event.data);
        message.appendChild(content);
        messages.appendChild(message);
      };

      function sendData(msg) {
        ws.send(JSON.stringify({ action: msg }));
      }

      document.body.appendChild(messages);
    </script>
  </body>
</html>
